---
lang: en
title: 'API docs: metadata.decoratorfactory.withtarget'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.metadata.decoratorfactory.withtarget.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [DecoratorFactory](./metadata.decoratorfactory.md) &gt; [withTarget](./metadata.decoratorfactory.withtarget.md)

## DecoratorFactory.withTarget() method

Set a reference to the target class or prototype for a given spec if it's an object

<b>Signature:</b>

```typescript
withTarget(spec: T, target: Object): T;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  spec | <code>T</code> | Metadata spec |
|  target | <code>Object</code> | Target of the decoration. It is a class or the prototype of a class. |

<b>Returns:</b>

`T`


